Add a new recipient
Create a new recipient for making payments
Authentication
AuthorizationBearer
Bearer token authentication for Mercury API.
Use your API token in the Authorization header:
Authorization: Bearer TOKEN
Example:
Authorization: Bearer secret-token:mercury_production_wma_24SCp4G81X3yHL4Wq8FgzuaP9ye3VKf2mgTDctXyRg5HY_yrucrem
Your Mercury API token should include the ‘secret-token:’ prefix. Tokens can be generated from your Mercury dashboard settings.
Request
This endpoint expects an object.
emails
name
address
Deprecated. Use checkInfo instead.
checkInfo
Information needed to send a physical check.
contactEmail
Contact email address of the recipient
domesticWireRoutingInfo
Information needed to send a domestic wire.
electronicRoutingInfo
Information needed to send an ACH.
nickname
Response
attachments
Tax form attachments for this recipient.
defaultPaymentMethod
The preferred payment method for this recipient.
Allowed values:
emails
List of email addresses associated with this recipient.
id
Unique identifier for the recipient.
name
Display name of the recipient.
status
Recipient status (active, deleted, etc.).
Allowed values:
address
checkInfo
Check mailing information.
contactEmail
Primary contact email for the recipient.
dateLastPaid
Date of the most recent payment to this recipient.
defaultAddress
domesticWireRoutingInfo
Domestic wire transfer routing information.
electronicRoutingInfo
ACH routing information for electronic payments.
internationalWireRoutingInfo
International wire transfer routing information.
isBusiness
nickname
User-defined nickname for the recipient.
realTimePaymentRoutingInfo
Errors
400
Bad Request Error

